Subject: Re: [sipcore] Session-timer: Non-refresher sending UPDATE/re-INVITE - is it a session refresh request?

From: [email-masked]
Date: Tue, 02 Oct 2018 13:02:30 +0800

Am 29.09.2018 07:23 schrieb Roman Shpount <[email-masked]>:

On Fri, Sep 28, 2018 at 7:16 PM, <[email-masked]> wrote:

Since in (5) the refresher was already set. It is not allowed to change it in (8).  See table 2 and the following text. And as Christer wrote the proxy must be staateful when doing such stuff.

I do not think you are correct here.

Since INVITE and UPDATE transactions are in opposite directions, this is the same refresher. Also, what does Table 2 has to do with proxy response processing? Proxy behavior is defined in Section 8.2. Table 2 is for UAS.

Yes now I have seen your intension. But I think this is not a way to negotiate.

Finally, stateful proxy means quite a specific thing, i.e. stateful transaction processing, not dialog stateful, so this does not help.

If transaction stateful mean call staateful then OK.

I have an other understanding of transaction stateful.

Regards Roland

Regards,

_____________
Roman Shpount